// Copyright 2019 getensh.com. All rights reserved.
// Use of this source code is governed by getensh.com.

package param_v1_0

import (
	"gd_management_gateway/params/param_base"
	"gd_management_gateway/rpc_apis/gd_admin"
)

type GetActionLogReq struct {
	param_base.BasicParam
	Search   string `json:"search" description:"搜索" in:"query" require:"false"`
	PageNum  int    `json:"page_num" description:"页码" in:"query" require:"false"`
	PageSize int    `json:"page_size" description:"每页条数" in:"query" require:"false"`
}

type GetActionLogResp struct {
	param_base.SimpleResp
	Data gd_admin.GetLogReply `json:"data"`
}
