// Copyright 2019 getensh.com. All rights reserved.
// Use of this source code is governed by getensh.com.

package param_v1_0

import (
	"gd_management_gateway/params/param_base"
	"gd_management_gateway/rpc_apis/gd_management"
)

// 添加数据api
type ManagementUpdateDataSupplementReq struct {
	param_base.BasicParam
	Body gd_management.ManagementUpdateDataSupplementReq `json:"body"  require:"true" in:"body"`
}

type ManagementUpdateDataSupplementResp struct {
	param_base.SimpleResp
	Data gd_management.ManagementUpdateDataSupplementReply `json:"data"`
}

type ManagementGetSuplementTitleReq struct {
	param_base.BasicParam
	DbCode string `json:"db_code" description:"数据类型" require:"true" in:"query"`
}

type ManagementGetSuplementTitleResp struct {
	param_base.SimpleResp
	Data gd_management.ManagementGetSuplementTitleReply `json:"data"`
}

type ManagementGetSupplementDbReq struct {
	param_base.BasicParam
}

type ManagementGetSupplementDbResp struct {
	param_base.SimpleResp
	Data gd_management.ManagementGetSupplementDbReply `json:"data"`
}

type ManagementGetDataSupplementReq struct {
	param_base.BasicParam
	Body gd_management.ManagementGetDataSupplementReq `json:"body"  require:"true" in:"body"`
	//SearchCode string `json:"search_code" description:"数据类型" require:"true" in:"query"`
	//Keys       string `json:"keys"  description:"搜索字段" require:"true" in:"query"`
}

type ManagementGetDataSupplementResp struct {
	param_base.SimpleResp
	Data gd_management.ManagementGetDataSupplementReply `json:"data"`
}
