package param_v1_0

import (
	"gd_management_gateway/params/param_base"
	"gd_management_gateway/rpc_apis/gd_service"
)

type ServiceManagementOrderListReq struct {
	param_base.BasicParam
	PageNumber  int    `json:"page_number" in:"query"`
	StartTime   string `json:"start_time" in:"query"`
	EndTime     string `json:"end_time" in:"query"`
	OrderType   int    `json:"order_type" in:"query"`
	OrderStatus int    `json:"order_status" in:"query"`
}

type ServiceManagementOrderListResp struct {
	param_base.SimpleResp
	PageSize int                                      `json:"page_size"`
	Total    int64                                    `json:"total"`
	Infos    []gd_service.ServiceManagementOrderItem `json:"infos"`
}
