// Copyright 2019 getensh.com. All rights reserved.
// Use of this source code is governed by getensh.com.

package gd_admin

type AddActionLogReq struct {
	Uid        int64  `json:"uid"`
	Name       string `json:"name"`
	Modules    string `json:"modules"`
	Func       string `json:"func"`
	Before     string `json:"before" description:"修改前内容"`
	Content    string `json:"content"`
	ModifyTime string `json:"modify_time"`
}

type AddActionLogReply struct {
}

type GetLogReq struct {
	Search   string `json:"search"`
	PageNum  int    `json:"page_num"`
	PageSize int    `json:"page_size"`
}

type LogList struct {
	Id        int64  `json:"id"`
	User      string `json:"user"`
	Modules   string `json:"modules"`
	Func      string `json:"func"`
	Name      string `json:"name"`
	Before    string `json:"before"`
	After     string `json:"after"`
	CreatedAt string `json:"created_at"`
}

type GetLogReply struct {
	Total int64     `json:"total"`
	List  []LogList `json:"list"`
}
