package gd_admin

type GetRbacGroupListReq struct {
}

type RbacNodeList struct {
	Id   int    `json:"id"`
	Name string `json:"name"`
	Pid  int    `json:"pid"`
}

type RbacGroupList struct {
	Id   int      `json:"id"`
	Name string   `json:"name"`
	Node []string `json:"node"`
}

type GetRbacGroupListReply struct {
	List []RbacGroupList `json:"list"`
}

type UpdateRbacGroupReq struct {
	Id     int    `json:"id"`
	Name   string `json:"name"`
	NodeId string `json:"node_id"`
}

type UpdateRbacGroupReply struct {
}

type DeleteRbacGroupReq struct {
	Id int `json:"id"`
}

type DeleteRbacGroupReply struct {
}

type AddRbacGroupReq struct {
	Name   string `json:"name"`
	NodeId string `json:"node_id"`
}

type AddRbacGroupReply struct {
}

type GetAccessReq struct {
	Uid int64 `json:"uid"`
}

type GetAccessReply struct {
	Access   map[string][]string `json:"access"`
	Resource []string            `json:"resource"`
}

type GetNodeListReq struct {
}

type GetNodeListReply struct {
	List []RbacNodeList `json:"list"`
}
