package gd_management

type TGdErrorCode struct {
	Id   uint64 `json:"id"`
	Code string `json:"code"`
	Msg  string `json:"msg"`
}

type ManagementAddErrorReq struct {
	Code string `json:"code"`
	Msg  string `json:"msg"`
}

type ManagementAddErrorReply struct {
	Id uint64 `json:"id"`
}

type ManagementDelErrorReq struct {
	Id uint64 `json:"id"`
}

type ManagementDelErrorReply struct {
}

type ManagementUpdateErrorReq struct {
	Id   uint64 `json:"id"`
	Code string `json:"code"`
	Msg  string `json:"msg"`
}

type ManagementUpdateErrorReply struct {
}

type ManagementGetErrorListReq struct {
	PageNumber int  `json:"page_number"`
	IsAll      bool `json:"is_all"`
}

type ManagementGetErrorListReply struct {
	Total         int             `json:"total"`
	PageSize      int             `json:"page_size"`
	PageNumber    int             `json:"page_number"`
	ErrorCodeList []TGdErrorCode `json:"error_code_list"`
}
