package gd_service

type ServiceManagementOrderListReq struct {
	PageNumber  int    `json:"page_number"`
	StartTime   string `json:"start_time"`
	EndTime     string `json:"end_time"`
	OrderType   int    `json:"order_type"`
	OrderStatus int    `json:"order_status"`
}

type ServiceManagementOrderItem struct {
	AppKey          string `json:"app_key"`
	Uid             string `json:"uid"`
	OrderNo         string `json:"order_no"`
	OrderName       string `json:"order_name"`
	OrderType       string `json:"order_type"`
	PlateNo         string `json:"plate_no"`
	ContactName     string `json:"contact_name"`
	ContactPhone    string `json:"contact_phone"`
	OrderStatus     string `json:"order_status"`
	OrderProgress   string `json:"order_progress"`
	OrderCreateTime string `json:"order_create_time"`
	OrderPayTime    string `json:"order_pay_time"`
	MerchantName    string `json:"merchant_name"`
	UserName        string `json:"user_name"`
}

type ServiceManagementOrderListReply struct {
	PageSize int                          `json:"page_size"`
	Total    int64                        `json:"total"`
	Infos    []ServiceManagementOrderItem `json:"infos"`
}
